Bug 1595445 - Copying a method does not copy embedded methods that have been added
Summary: Copying a method does not copy embedded methods that have been added
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Patrik Kománek
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1592140
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 22:16 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
10 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1592140
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 2 CFME Bot 2018-07-11 14:23:30 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:

https://github.com/ManageIQ/manageiq-automation_engine/commit/6fcd12ad5bcccdab36471ace9c6ab064bc9ecfc6
commit 6fcd12ad5bcccdab36471ace9c6ab064bc9ecfc6
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 26 10:11:27 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Jun 26 10:11:27 2018 -0400

    Merge pull request #193 from pkomanek/ae_method_copy_without_embedded_methods_fix

    Fix for ae_method copy with embedded methods.
    (cherry picked from commit ead5a0b4b967af534eecf19907377b6fe1f3930b)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1595445

 app/models/miq_ae_method_copy.rb | 17 +-
 spec/models/miq_ae_method_copy_spec.rb | 14 +
 2 files changed, 23 insertions(+), 8 deletions(-)

Comment 3 Dmitry Misharov 2018-07-18 13:48:05 UTC
Fixed and verified in 5.9.4.0.20180711215406_53ad123. Embedded methods are copied.

Comment 5 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.